console.log('> doData.js is iniciated;');

var doObj = {};
var tObj = {};
var iFrame = new do_iFrame_Params();

function do_iFrame_Params(){
	console.log('> JSF do_iFrame_Params()');
	
	var prmstr = window.location.search.substr(1);
	var prmarr = prmstr.split ("&");
	var params = {};
	var data = '';
	for ( var i = 0; i < prmarr.length; i++) {
		var tmparr = prmarr[i].split("=");
		data = tmparr[1].replace(/%2F/g,"/"); 
		data = data.replace(/%3A/g,":"); 
		data = data.replace(/%3F/g,"?"); 
		data = data.replace(/%3D/g,"=");
		data = data.replace(/%26/g,"&");
		params[tmparr[0]] = data;
	}
	this.section = 'section' + params['section'];
	this.slide = 'slide' + params['slide']; 
	
	console.log("do section: " + this.section + "; do slide: " + this.slide);
	
	doObj.section0 = {};
	doObj['section0']['slide0'] = doContent[this.section][this.slide];
	
	// for test only:
	tObj.section0 = {};
	tObj['section0']['slide0'] = doContent[this.section][this.slide];
	
	
	console.log ('doObj:');
	console.log (doObj);
}